%global gem_name puppetserver-ca

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}
Summary: A simple CLI tool for interacting with Puppet Server's Certificate Authority
License: Apache License, Version 2.0
URL: https://github.com/puppetlabs/puppetserver-ca-cli
Source0: %{gem_name}-%{version}.gem
Requires: rubygems >= 2.7.6
Requires: ruby-facter >= 2.0.1
Requires: ruby-facter < 4
Requires: rubygem-bundler >= 1.16
Requires: rubygem-rake >= 10.0
Requires: rubygem-rake <= 12.3.0
Requires: rubygem-rspec >= 3.0
Requires: rubygem-rspec < 4
BuildRequires: rubygems >= 2.7.6
BuildRequires: rubygems-devel >= 2.7.6
BuildArch: noarch
AutoReqProv: no


%description
A simple CLI tool for interacting with Puppet Server's Certificate Authority.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
sed -i -r 's/.*\.add(_runtime)?_dependency.*facter.*//g' %{buildroot}%{gem_spec}

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/bin
%{gem_instdir}/exe
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%{gem_instdir}/.gitignore
%{gem_instdir}/.rspec
%{gem_instdir}/.travis.yml

%files doc
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/CODE_OF_CONDUCT.md
%doc %{gem_docdir}


%changelog
* Wed Dec 18 2019 Breno Brand Fernandes <brandfbb@gmail.com> - 3.3.2-14
- First build

